Subject: Re: What's cooking in git.git (Mar 2013, #07; Tue, 26)

From: John Keeping <[email-masked]>
Date: Wed, 27 Mar 2013 22:07:23 +0000

On Wed, Mar 27, 2013 at 02:47:25PM -0700, Junio C Hamano wrote:
> > * jk/difftool-dir-diff-edit-fix (2013-03-14) 3 commits
> >   (merged to 'next' on 2013-03-19 at e68014a)
> >  + difftool --dir-diff: symlink all files matching the working tree
> >  + difftool: avoid double slashes in symlink targets
> >  + git-difftool(1): fix formatting of --symlink description
> 
> I lost track of various discussions on "difftool" and its "symlink
> so that the user can edit working tree files in the tool".

Would it be easiest if I send a new series incorporating
jk/difftool-dirr-diff-edit-fix and the proposed change to not overwrite
modified working tree files, built on top of t7800-modernize?

The "overwrite modified working tree files" issue isn't new, but
jk/difftool-dir-diff-edit-fix makes it more likely to happen so it might
be best to include those in one topic, and building on
jk/t7800-modernize will avoid conflicts in the tests.